### Method

# WebKit CookieManager set_persistent_storage

#### Declaration [src]

    void
    webkit_cookie_manager_set_persistent_storage (
      WebKitCookieManager* cookie_manager,
      const gchar* filename,
      WebKitCookiePersistentStorage storage
    )

#### Description [src]

Set non-session cookies.

Set the `filename` where non-session cookies are stored persistently using `storage` as the format to read/write the cookies. Cookies are initially read from `filename` to create an initial set of cookies. Then, non-session cookies will be written to `filename` when the WebKitCookieManager::changed signal is emitted. By default, `cookie_manager` doesn’t store the cookies persistently, so you need to call this method to keep cookies saved across sessions.

This method should never be called on a `WebKitCookieManager` associated to an ephemeral `WebKitWebsiteDataManager`.

#### Parameters

`filename` | `const gchar*`
| The filename to read to/write from.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`storage` | `WebKitCookiePersistentStorage`
| A `WebKitCookiePersistentStorage`.